Download it now!
Bug 80295 - Mismatched icons in Chart Data Table dialog
Summary: Mismatched icons in Chart Data Table dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0 target:4.3.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-20 15:57 UTC by Stanislav Horacek
Modified: 2014-06-23 09:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Chart data table dialog in 4.2 (above) and 4.3 (below) (44.18 KB, image/png)
2014-06-20 15:57 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2014-06-20 15:57:39 UTC
Created attachment 101440 [details]
Chart data table dialog in 4.2 (above) and 4.3 (below)

In Chart Data Table dialog, order of icons has changed in 4.3, but order of associated commands remains the same.

Steps to reproduce:
1. In Writer, choose Insert - Object - Chart.
2. Choose View - Chart Data Table. Chart Data table dialog appears.

Observed: The third icon shows deleting a row, however Insert Text Column command is associated to it.

Expected: The third icon should be that one with bars (currently the last one).

Everything is OK in 4.2 (tested in 4.2.3, Ubuntu 14.04), probably related to conversion to .ui format.
Comment 1 pierre-yves samyn 2014-06-20 16:26:58 UTC
Hi

I confirm on windows 7/64 & Version: 4.3.0.1
Build ID: 67f5430184326974072b65403ef1d9d934fc4481

Was ok with Version: 4.2.5.1
Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de

I set status to New

Thank you for reporting

Regards
Pierre-Yves
Comment 2 Jorendc 2014-06-20 20:42:45 UTC
Patch under review: https://gerrit.libreoffice.org/#/c/9843/

also for LibreOffice 4.3-branch: https://gerrit.libreoffice.org/#/c/9844/

Kind regards,
Joren
Comment 3 Commit Notification 2014-06-22 09:33:05 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e6b31d15590683a978b699c76f5fe2300a6095f

fdo#80295 - Mismatched icons in Chart Data Table dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-06-23 09:04:37 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea3afeb8d2390030af3d56832fe86d241d9e7fea&h=libreoffice-4-3

fdo#80295 - Mismatched icons in Chart Data Table dialog


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.